List Sensor Details

List Sensor Details
List sensors with detailed information and statuses

Get a list of sensors with appliance information and statuses. | Sorting is supported by the following fields - display_name, registration_status, health, flows_enabled, | mps_enabled, ids_enabled, and pcap_enabled.

Request
URI
GET
https://{api_host}/sensors/appliances/details
COPY
Query Parameters
integer
offset
Optional
Constraints: minimum: 0 default: 0

Offset pagination parameter used to exclude from a response the first N items of a resource collection. Combine the offset and the page_size options to request a particular set or page of items.

integer
page_size
Optional
Constraints: minimum: 0 default: 1000

Number of records to be returned in the API request from the provided offset

boolean,null
sort_ascending
Optional
Constraints: default: false

True, if the list of records returned need to be sorted in ascending order, false otherwise.

string
sort_by
Optional

The parameter name on which to sort the list of records. Only top-level parameters in the returned list of records will be supported. If not provided, system will define the parameter by which results are sorted.

string
display_name
Optional

Use this request parameter to filter by display name.

display_name example
sensor
string
registration_status
Optional

Use this request param to filter by sensor registration status. The valid values are 'registered', 'in_progress', and 'failed'.

registration_status example
registered
string
health
Optional

Use this request param to filter by sensor registration status. The valid values are 'ok', 'disconnected', and 'degraded'.

health example
ok
boolean
flows_enabled
Optional

Set to true when filtering sensors that have flow event reporting enabled. Valid values are 'true' or 'false'.

flows_enabled example
true
boolean
mps_enabled
Optional

Set to true when filtering sensors that have MPS (malware) event reporting enabled. Valid values are 'true' or 'false'.

mps_enabled example
true
boolean
ids_enabled
Optional

Set to true when filtering sensors that have IDS event reporting enabled. Valid values are 'true' or 'false'.

ids_enabled example
true
boolean
pcap_enabled
Optional

Set to true when filtering sensors that have packet capturing enabled. Valid values are 'true' or 'false'.

pcap_enabled example
true
string of array
sensor_ids
Optional

Use this request param to filter by a list of sensor appliance ids.

sensor_ids example
8c147e21-7410-4f77-a3a6-e7aa6034992f
string of array
software_versions
Optional

Use this request param to filter by sensor software version. Pass one or more values; multiple values are combined with OR (a sensor matches if any entry matches). Each entry supports the same syntax as a single filter: wildcard patterns using '' (e.g., '5.', '5.2.'), exact dotted versions, or comparison operators '<' or '>' before a numeric version string (e.g., '<5.2', '>3.1'). A comparison entry must not contain ''. Version filter entries require at least major.minor (e.g., '5.2'). Supports 2-part to 6-part targets, for example '>6.0.0' or '6.0.0.0.0.1'. Note: >5.2 compares against 5.2.0.0.0.0 because unspecified parts are defaulted to 0.

software_versions example
5.2

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns SensorDetailList of type(s) application/json
This response body class contains all of the following: ListResult , InlineSensorDetailList1
{
    "number_of_results": 1,
    "offset": -1,
    "results": [
        {
            "appliance_ids_signature_info": {
                "_last_modified_time": 1778683127642,
                "bundle_id": "ac658667-db5d-4e67-b8b8-1b341bdc9a82",
                "ids_signature_bundle_version": "2000",
                "number_of_signatures": 10000
            },
            "appliance_info": {
                "cpu_cores": 1,
                "cpu_sockets": 12,
                "memory": 32,
                "software_version": "5.2.0.0.0.25398843"
            },
            "appliance_networking_info": {
                "dns": [
                    "172.16.111.1"
                ],
                "home_networks": [
                    "10.0.0.0/8",
                    "172.16.0.0/12",
                    "192.168.0.0/16",
                    "169.254.0.0/16",
                    "fc00::/7",
                    "fe80::/10"
                ],
                "host_name": "ndr-sensor-8c147e21",
                "nics": [
                    {
                        "ipv4_address": "",
                        "ipv6_address": "",
                        "is_mgmt": false,
                        "mac_address": "00:50:56:ab:26:24"
                    },
                    {
                        "ipv4_address": "172.16.111.133",
                        "ipv6_address": "",
                        "is_mgmt": true,
                        "mac_address": "00:50:56:ab:d0:36"
                    }
                ],
                "ntp": [
                    "172.16.111.1"
                ]
            },
            "sensor_feature_config": {
                "flows_enabled": true,
                "ids_config": {
                    "pcap_enabled": false
                },
                "ids_enabled": true,
                "mps_config": {
                    "archive_file_type": true,
                    "data_file_type": true,
                    "document_file_type": true,
                    "executable_file_type": true,
                    "media_file_type": true,
                    "other_file_type": true,
                    "script_file_type": true
                },
                "mps_enabled": false
            },
            "sensor_info": {
                "_create_time": 1778683578561,
                "_create_user": "ndr-sensor",
                "_last_modified_time": 1778683581215,
                "_revision": 1,
                "algorithm": "RSA",
                "certificate": "-----BEGIN CERTIFICATE----- xxxxx -----END CERTIFICATE-----",
                "description": "Token for ndr sensor",
                "display_name": "sensor",
                "id": "8c147e21-7410-4f77-a3a6-e7aa6034992f",
                "key_size": 3072,
                "pem_encoded": "xxxxx",
                "token_id": "b93a7903-3a7d-4dfa-b6fc-4d17e0e4707c"
            },
            "sensor_status": {
                "_last_modified_time": 1778684806988,
                "health": "OK",
                "rapid_health": "DISABLED",
                "registration_status": "REGISTERED",
                "sniffing_health": "OK",
                "uploading_health": "OK",
                "uptime": 36782390
            }
        }
    ],
    "total_pages": 1,
    "total_result_count": 1
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "sensor",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    ["platform-sensor-all"]
                
Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/sensors/appliances/details